Package org.eclipse.debug.ui.actions

## Class OpenLaunchDialogAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.debug.ui.actions.OpenLaunchDialogAction

All Implemented Interfaces:
  `IAction`, `IActionDelegate`, `IActionDelegate2`, `IWorkbenchWindowActionDelegate`

    public class OpenLaunchDialogAction
    extends Action
    implements IActionDelegate2, IWorkbenchWindowActionDelegate

Opens the launch configuration dialog in the context of a launch group.

Clients may instantiate this class.

Since:
  2.1
Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
`OpenLaunchDialogAction​(String identifier)` Constructs an action that opens the launch configuration dialog in the context of the specified launch group.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()` Allows the action delegate to clean up.
`void` `init​(IAction action)` Allows the action delegate to initialize itself after being created by the proxy action.
`void` `init​(IWorkbenchWindow window)` Initializes this action delegate with the workbench window it will work in.
`void` `run()` The default implementation of this `IAction` method does nothing.
`void` `run​(IAction action)` Performs this action.
`void` `runWithEvent​(IAction action, Event event)` Performs this action, passing the SWT event which triggered it.
`void` `selectionChanged​(IAction action, ISelection selection)` Notifies this action delegate that the selection in the workbench has changed.

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpenLaunchDialogAction

    public OpenLaunchDialogAction​(String identifier)

Constructs an action that opens the launch configuration dialog in the context of the specified launch group.

Parameters:
  `identifier` - unique identifier of a launch group extension

### Method Detail

#### run

    public void run()

Description copied from class: `Action`
The default implementation of this `IAction` method does nothing. Subclasses should override this method if they do not need information from the triggering event, or override `runWithEvent(Event)` if they do.

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `Action`
See Also:
  `IAction.run()`

#### runWithEvent

    public void runWithEvent​(IAction action,
                             Event event)

Description copied from interface: `IActionDelegate2`
Performs this action, passing the SWT event which triggered it. This method is called by the proxy action when the action has been triggered. Implement this method to do the actual work.

Note: This method is called instead of `run(IAction)`.

Specified by:
  `runWithEvent` in interface `IActionDelegate2`
Parameters:
  `action` - the action proxy that handles the presentation portion of the action
  `event` - the SWT event which triggered this action being run

#### run

    public void run​(IAction action)

Description copied from interface: `IActionDelegate`
Performs this action.

This method is called by the proxy action when the action has been triggered. Implement this method to do the actual work.

Note: If the action delegate also implements `IActionDelegate2`, then this method is not invoked but instead the `runWithEvent(IAction, Event)` method is called.

Specified by:
  `run` in interface `IActionDelegate`
Parameters:
  `action` - the action proxy that handles the presentation portion of the action

#### dispose

    public void dispose()

Description copied from interface: `IActionDelegate2`
Allows the action delegate to clean up. This lifecycle method is called when the proxy action is done with this action delegate. This is the last method called.

Specified by:
  `dispose` in interface `IActionDelegate2`
Specified by:
  `dispose` in interface `IWorkbenchWindowActionDelegate`
See Also:
  `IWorkbenchWindowActionDelegate.dispose()`

#### init

    public void init​(IAction action)

Description copied from interface: `IActionDelegate2`
Allows the action delegate to initialize itself after being created by the proxy action. This lifecycle method is called after the action delegate has been created and before any other method of the action delegate is called.

Specified by:
  `init` in interface `IActionDelegate2`
Parameters:
  `action` - the proxy action that handles the presentation portion of the action.

#### init

    public void init​(IWorkbenchWindow window)

Description copied from interface: `IWorkbenchWindowActionDelegate`
Initializes this action delegate with the workbench window it will work in.

Specified by:
  `init` in interface `IWorkbenchWindowActionDelegate`
Parameters:
  `window` - the window that provides the context for this delegate

#### selectionChanged

    public void selectionChanged​(IAction action,
                                 ISelection selection)

Description copied from interface: `IActionDelegate`
Notifies this action delegate that the selection in the workbench has changed.

Implementers can use this opportunity to change the availability of the action or to modify other presentation properties.

When the selection changes, the action enablement state is updated based on the criteria specified in the plugin.xml file. Then the delegate is notified of the selection change regardless of whether the enablement criteria in the plugin.xml file is met.

Specified by:
  `selectionChanged` in interface `IActionDelegate`
Parameters:
  `action` - the action proxy that handles presentation portion of the action
  `selection` - the current selection, or `null` if there is no selection.
See Also:
  `IActionDelegate.selectionChanged(org.eclipse.jface.action.IAction, org.eclipse.jface.viewers.ISelection)`